package main

import (
	"github.com/beego/beego/v2/core/logs"
	"github.com/beego/beego/v2/server/web"
)

type HeaderController struct {
	web.Controller
}

func (c *HeaderController) Get() {
	// 获取 header
	logs.Info("c.Ctx.Request.Header", c.Ctx.Request.Header)
	logs.Info("c.Ctx.Input.Header", c.Ctx.Input.Header("Path"))

	// 设置 header
	c.Ctx.ResponseWriter.Header().Add("h1", "v1")
	c.Ctx.Output.Header("h2", "v2")

	c.Ctx.WriteString("ok")
}

func main() {
	web.Router("/header/", &HeaderController{})

	web.Run()
}
